<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:22 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>RtFeature (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RtFeature (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RtFeature.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtAction.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html" target="_top">Frames</a></li>
<li><a href="RtFeature.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM</div>
<h2 title="Interface RtFeature" class="title">Interface RtFeature</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/impl/RtFeatureImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM.impl">RtFeatureImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">RtFeature</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Rt Feature</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_BehavioralFeature--"><code><em>Base Behavioral Feature</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Message--"><code><em>Base Message</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Signal--"><code><em>Base Signal</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Port--"><code><em>Base Port</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_InvocationAction--"><code><em>Base Invocation Action</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getSpecification--"><code><em>Specification</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/HLAMPackage.html#getRtFeature--"><code>HLAMPackage.getRtFeature()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_BehavioralFeature--">getBase_BehavioralFeature</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Behavioral Feature</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.InvocationAction</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_InvocationAction--">getBase_InvocationAction</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Invocation Action</b></em>' reference.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Message</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Message--">getBase_Message</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Message</b></em>' reference.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Port</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Port--">getBase_Port</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Port</b></em>' reference.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Signal</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Signal--">getBase_Signal</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Signal</b></em>' reference.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtSpecification.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM">RtSpecification</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getSpecification--">getSpecification</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Specification</b></em>' reference list.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#setBase_BehavioralFeature-org.eclipse.uml2.uml.BehavioralFeature-">setBase_BehavioralFeature</a></span>(org.eclipse.uml2.uml.BehavioralFeature&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_BehavioralFeature--"><code><em>Base Behavioral Feature</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#setBase_InvocationAction-org.eclipse.uml2.uml.InvocationAction-">setBase_InvocationAction</a></span>(org.eclipse.uml2.uml.InvocationAction&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_InvocationAction--"><code><em>Base Invocation Action</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#setBase_Message-org.eclipse.uml2.uml.Message-">setBase_Message</a></span>(org.eclipse.uml2.uml.Message&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Message--"><code><em>Base Message</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#setBase_Port-org.eclipse.uml2.uml.Port-">setBase_Port</a></span>(org.eclipse.uml2.uml.Port&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Port--"><code><em>Base Port</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#setBase_Signal-org.eclipse.uml2.uml.Signal-">setBase_Signal</a></span>(org.eclipse.uml2.uml.Signal&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Signal--"><code><em>Base Signal</em></code></a>' reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBase_BehavioralFeature--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_BehavioralFeature</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getBase_BehavioralFeature()</pre>
<div class="block">Returns the value of the '<em><b>Base Behavioral Feature</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Behavioral Feature</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Behavioral Feature</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#setBase_BehavioralFeature-org.eclipse.uml2.uml.BehavioralFeature-"><code>setBase_BehavioralFeature(BehavioralFeature)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/HLAMPackage.html#getRtFeature_Base_BehavioralFeature--"><code>HLAMPackage.getRtFeature_Base_BehavioralFeature()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_BehavioralFeature-org.eclipse.uml2.uml.BehavioralFeature-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_BehavioralFeature</h4>
<pre>void&nbsp;setBase_BehavioralFeature(org.eclipse.uml2.uml.BehavioralFeature&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_BehavioralFeature--"><code><em>Base Behavioral Feature</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Behavioral Feature</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_BehavioralFeature--"><code>getBase_BehavioralFeature()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Message--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Message</h4>
<pre>org.eclipse.uml2.uml.Message&nbsp;getBase_Message()</pre>
<div class="block">Returns the value of the '<em><b>Base Message</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Message</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Message</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#setBase_Message-org.eclipse.uml2.uml.Message-"><code>setBase_Message(Message)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/HLAMPackage.html#getRtFeature_Base_Message--"><code>HLAMPackage.getRtFeature_Base_Message()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Message-org.eclipse.uml2.uml.Message-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Message</h4>
<pre>void&nbsp;setBase_Message(org.eclipse.uml2.uml.Message&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Message--"><code><em>Base Message</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Message</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Message--"><code>getBase_Message()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Signal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Signal</h4>
<pre>org.eclipse.uml2.uml.Signal&nbsp;getBase_Signal()</pre>
<div class="block">Returns the value of the '<em><b>Base Signal</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Signal</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Signal</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#setBase_Signal-org.eclipse.uml2.uml.Signal-"><code>setBase_Signal(Signal)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/HLAMPackage.html#getRtFeature_Base_Signal--"><code>HLAMPackage.getRtFeature_Base_Signal()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Signal-org.eclipse.uml2.uml.Signal-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Signal</h4>
<pre>void&nbsp;setBase_Signal(org.eclipse.uml2.uml.Signal&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Signal--"><code><em>Base Signal</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Signal</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Signal--"><code>getBase_Signal()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Port--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Port</h4>
<pre>org.eclipse.uml2.uml.Port&nbsp;getBase_Port()</pre>
<div class="block">Returns the value of the '<em><b>Base Port</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Port</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Port</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#setBase_Port-org.eclipse.uml2.uml.Port-"><code>setBase_Port(Port)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/HLAMPackage.html#getRtFeature_Base_Port--"><code>HLAMPackage.getRtFeature_Base_Port()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Port-org.eclipse.uml2.uml.Port-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Port</h4>
<pre>void&nbsp;setBase_Port(org.eclipse.uml2.uml.Port&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Port--"><code><em>Base Port</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Port</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_Port--"><code>getBase_Port()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_InvocationAction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_InvocationAction</h4>
<pre>org.eclipse.uml2.uml.InvocationAction&nbsp;getBase_InvocationAction()</pre>
<div class="block">Returns the value of the '<em><b>Base Invocation Action</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Invocation Action</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Invocation Action</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#setBase_InvocationAction-org.eclipse.uml2.uml.InvocationAction-"><code>setBase_InvocationAction(InvocationAction)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/HLAMPackage.html#getRtFeature_Base_InvocationAction--"><code>HLAMPackage.getRtFeature_Base_InvocationAction()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_InvocationAction-org.eclipse.uml2.uml.InvocationAction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_InvocationAction</h4>
<pre>void&nbsp;setBase_InvocationAction(org.eclipse.uml2.uml.InvocationAction&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_InvocationAction--"><code><em>Base Invocation Action</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Invocation Action</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html#getBase_InvocationAction--"><code>getBase_InvocationAction()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSpecification--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSpecification</h4>
<pre>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtSpecification.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM">RtSpecification</a>&gt;&nbsp;getSpecification()</pre>
<div class="block">Returns the value of the '<em><b>Specification</b></em>' reference list.
 The list contents are of type <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtSpecification.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM"><code>RtSpecification</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Specification</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Specification</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/HLAMPackage.html#getRtFeature_Specification--"><code>HLAMPackage.getRtFeature_Specification()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RtFeature.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtAction.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HLAM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HLAM/RtFeature.html" target="_top">Frames</a></li>
<li><a href="RtFeature.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
